### Method

# Gtk StyleContextremove_provider

deprecated: 4.10

#### Declaration [src]

    void
    gtk_style_context_remove_provider (
      GtkStyleContext* context,
      GtkStyleProvider* provider
    )

#### Description [src]

Removes `provider` from the style providers list in `context`.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`provider`

  Type: `GtkStyleProvider`

  A `GtkStyleProvider`

  The data is owned by the caller of the method.